Download it now!
Bug 56603 - EDITING: CRASH when apply font properties from vertical toolbar
Summary: EDITING: CRASH when apply font properties from vertical toolbar
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium major
Assignee: Arnaud Versini
URL:
Whiteboard: target:3.7.0 target:3.6.4
Keywords:
Depends on:
Blocks: Vertical-Toolbar
  Show dependency treegraph
 
Reported: 2012-10-31 06:11 UTC by Rainer Bielefeld Retired
Modified: 2012-11-07 10:41 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample Document (27.08 KB, application/vnd.oasis.opendocument.text)
2012-10-31 06:11 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-10-31 06:11:51 UTC
Created attachment 69342 [details]
Sample Document

Steps how to reproduce with parallel installation of Master "LOdev  3.7.0.0.alpha0+   -  ENGLISH UI / German Locale  [Build ID: 370m0(Build:0)]"  {tinderbox: @6, pull time 2012-10-20 14:21:35} on German WIN7 Home Premium (64bit) with separate User Profile for Master Branch:

1. Launch LibI
2. Open attached sample10.odg
3. arrange Formatting Toolbar vertically at left side
4. Select word "here" in Text box
5. Click 'Font Size' icon
   > Nothing happens
6. Click 'Font Name' Icon
   > CRASH

Same problem with ""LibreOffice 3.6.3.2” English UI/ German Locale [Build-ID: 58f22d5]" on German WIN7 Home Premium (64bit)" and 3.5.7.2.

Currently no other versions tested.

I am able to reproduce the Bug with every simple new WRITER document with Draw Text Box.
Comment 1 Rainer Bielefeld Retired 2012-10-31 06:13:59 UTC
Already reproducible with LibO 3.3.0 and OOo 3.1.1, so inherited from OOo
Comment 2 Rainer Bielefeld Retired 2012-10-31 09:57:39 UTC
Sorry, my mistake, of course the document is "sample10.odt", and this is a WRITER bug.
Comment 3 Jean-Baptiste Faure 2012-11-03 12:01:58 UTC
Crash reproducible with LO 3.6.3.2 and current master (Version 3.7.0.0.alpha0+ (Build ID: 2a9fd5)) under Ubuntu 12.04 x86_64
For the master, the terminal says : segmentation fault.

So set platform to ALL.

Best regards. JBF
Comment 4 Not Assigned 2012-11-04 16:47:09 UTC
Arnaud Versini committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c954e6e1317f82e06fac66556674bc066b429469

Fix fdo#56603 by NULL pointer checking in SwDrawTextShell::Execute



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Arnaud Versini 2012-11-04 17:08:57 UTC
Crashed fixed on master by http://cgit.freedesktop.org/libreoffice/core/commit/?id=c954e6e1317f82e06fac66556674bc066b429469 .
Doesn't fix toolbar usage vertically.
Comment 6 Jean-Baptiste Faure 2012-11-04 17:44:11 UTC
Verified in master Version 3.7.0.0.alpha0+ (Build ID: c954e6)

Thank you for the fix. JBF
Comment 7 Not Assigned 2012-11-06 08:49:48 UTC
Arnaud Versini committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e68fe11ffa5b4cbcc194fae59350b64200256d01&g=libreoffice-3-6

Fix fdo#56603 by NULL pointer checking in SwDrawTextShell::Execute


It will be available in LibreOffice 3.6.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Jean-Baptiste Faure 2012-11-07 10:41:13 UTC
Really set platform to ALL
Verified on LO 3.6.4.0+ too.

Thank you very much Arnaud.

Best regards. JBF